Skip to main content
GET
Get Key

Authentication

✅ Organization User (CustomerEmployee)
✅ Delegated User (EndUser)
✅ Service Account

Required Permissions

Keys:Read: Always required.

Authorizations

Authorization
string
header
required

Bearer Token: Used to authenticate API requests. More details how to generate the token: Authentication flows

Path Parameters

keyId
string
required

The key to retrieve.

Required string length: 1 - 64

Response

200 - application/json

Success

id
string
required

Unique identifier for the key.

Required string length: 1 - 64
Pattern: ^key-[a-z0-9]{5}-[a-z0-9]{5}-[a-z0-9]{14,16}$
Example:

"key-01snl-t56gb-j8tsok0vn802p80i"

scheme
enum<string>
required

The cryptographic scheme for the key.

Available options:
ECDSA,
EdDSA,
Schnorr
curve
enum<string>
required

The elliptic curve for the key.

Available options:
ed25519,
secp256k1,
stark
publicKey
string
required

Hex-encoded public key.

status
enum<string>
required

Current status of the key.

Available options:
Active,
Archived
custodial
boolean
required

Whether the key is custodial (owned by organization) or non-custodial (delegated to end user).

dateCreated
string<date-time>
required

ISO 8601 date (must be UTC). When the key was created.

Example:

"2023-04-14T20:41:28.715Z"

wallets
object[]
required

Wallets associated with this key.

store
object
required

Key store details.

masterKey
boolean

Whether this key can be used as a master key for HD derivation.

derivedFrom
object

Derivation info if this key was derived from a master key.

name
string

Nickname for the key.

imported
boolean

Whether this key was imported.

exported
boolean

Whether this key has been exported.

dateExported
string<date-time>

ISO 8601 date (must be UTC). When the key was exported.

Example:

"2023-04-14T20:41:28.715Z"

dateDeleted
string<date-time>

ISO 8601 date (must be UTC). When the key was deleted.

Example:

"2023-04-14T20:41:28.715Z"

Last modified on July 9, 2026